- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# OSGA_Archive.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Endian>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include "OSGA_Archive.h"`

Include dependency graph for OSGA_Archive.cpp:

## Functions
| OSGA_Archive::OSGA_Archive ()
| OSGA_Archive::~OSGA_Archive ()
bool | OSGA_Archive::open (const std::string &filename, ArchiveStatus status, unsigned int indexBlockSize)
bool | OSGA_Archive::open (std::istream &fin)
bool | OSGA_Archive::_open (std::istream &input)
void | OSGA_Archive::close ()
std::string | OSGA_Archive::getMasterFileName () const
bool | OSGA_Archive::getFileNames (FileNameList &fileNameList) const
void | OSGA_Archive::writeIndexBlocks ()
bool | OSGA_Archive::fileExists (const std::string &filename) const
bool | OSGA_Archive::addFileReference (pos_type position, size_type size, const std::string &fileName)
ReaderWriter::ReadResult | OSGA_Archive::read (const ReadFunctor &readFunctor)
ReaderWriter::ReadResult | OSGA_Archive::readObject (const std::string &fileName, const Options *options) const
ReaderWriter::ReadResult | OSGA_Archive::readImage (const std::string &fileName, const Options *options) const
ReaderWriter::ReadResult | OSGA_Archive::readHeightField (const std::string &fileName, const Options *options) const
ReaderWriter::ReadResult | OSGA_Archive::readNode (const std::string &fileName, const Options *options) const
ReaderWriter::WriteResult | OSGA_Archive::write (const WriteFunctor &writeFunctor)
ReaderWriter::WriteResult | OSGA_Archive::writeObject (const osg::Object &obj, const std::string &fileName, const Options *options) const
ReaderWriter::WriteResult | OSGA_Archive::writeImage (const osg::Image &image, const std::string &fileName, const Options *options) const
ReaderWriter::WriteResult | OSGA_Archive::writeHeightField (const osg::HeightField &heightField, const std::string &fileName, const Options *options) const
ReaderWriter::WriteResult | OSGA_Archive::writeNode (const osg::Node &node, const std::string &fileName, const Options *options) const
## Variables
const unsigned int | ENDIAN_TEST_NUMBER = 0x00000001

## Variable Documentation

const unsigned int ENDIAN_TEST_NUMBER = 0x00000001